Redmine - Defect #24020

Importing csv fails when using data containing bullet character, No error message in the Ul, no
reason is presented for the crash

2016-10-08 13:35 - Adrian Moisa

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 3.3.0

Description

All you have to do to reproduce this bug is to import the following csv file. In the import form, just match Subject with Subject column
and chose Tracker -> Feature.

"Subject", "Start_Date"
"Testl test","9/7/2016"
"Test2 - test","9/7/2016"

The only clue available to what did fail is the following console message, which is not to much to get going:

POST http://localhost:3000/imports/36ed0f56e6db80daaafedfec4d042eb93/run.js 500 (Internal Server Er
ror)

| had to trim down my csv file until | managed to exclude the error, and it looks like the bullet character is the cullprit. Maybe other
UTF characters have the same issues, | didn't test.

History

#1 - 2016-10-08 13:36 - Adrian Moisa

Also no, logs are printed when this bug happens.

#2 - 2016-10-08 19:44 - Jean-Philippe Lang
- File Image1.png added

- Status changed from New to Needs feedback

Works for me, please read SubmittingBugs and provide what you have in your application log.
|

Import issues

2 items have been imported:

» Feature £17680: Testl test
» Feature #17681: Test2 » test

View all issues

#3 - 2024-08-30 11:19 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Files

Image1.png 3.25 KB 2016-10-08 Jean-Philippe Lang

2025-05-17 1/1



https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://www.tcpdf.org

